Lattice Builder Manual Software Package for Constructing Rank-1 Lattices

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Friends Modules Pages
Public Member Functions | Protected Member Functions | List of all members
LatBuilder::MeritFilterListPolicy< LatType::ORDINARY > Class Template Reference

Specialization of MeritFilterListPolicy for ordinary lattices. More...

`#include <MeritFilterList.h>`

Inherits LatBuilder::BasicMeritFilterList< LatType::ORDINARY >.

## Public Member Functions
template<LatType L>
OBase::OnReject & | onReject () const
Public Member Functions inherited from LatBuilder::BasicMeritFilterList< LatType::ORDINARY >
| BasicMeritFilterList ()
| Constructor.
bool | empty () const
| Returns `true` if and only if the list of filters is empty.
OnReject & | onReject () const
| Reject signal. More...
const FilterList & | filters () const
void | add (std::unique_ptr< Filter > filter)
| Appends a filter for scalar merit values. More...

## Protected Member Functions
Real | applyFilters (Real merit, const LatDef &lat) const
Protected Member Functions inherited from LatBuilder::BasicMeritFilterList< LatType::ORDINARY >
MeritValue | apply (MeritValue merit, const LatDef &lat) const

## Additional Inherited Members
Public Types inherited from LatBuilder::BasicMeritFilterList< LatType::ORDINARY >
typedef BasicMeritFilter< LAT > | Filter
typedef Filter::InputMeritValue | MeritValue
typedef Filter::LatDef | LatDef
typedef std::list < std::unique_ptr< Filter > > | FilterList
typedef boost::signals2::signal< void(const LatDef &)> | OnReject
| Type of signal emitted when a merit value is rejected.

## Detailed Description

### template<>
class LatBuilder::MeritFilterListPolicy< LatType::ORDINARY >

Specialization of MeritFilterListPolicy for ordinary lattices.

The documentation for this class was generated from the following file:

- latbuilder/include/latbuilder/MeritFilterList.h